Bug 11619 - gold failed to build on Linux/ia32
Summary: gold failed to build on Linux/ia32
Status: RESOLVED FIXED
Alias: None
Product: binutils
Classification: Unclassified
Component: gold (show other bugs)
Version: 2.21
: P2 normal
Target Milestone: ---
Assignee: Ian Lance Taylor
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-22 00:55 UTC by H.J. Lu
Modified: 2010-05-22 01:07 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description H.J. Lu 2010-05-22 00:55:09 UTC
On May 21, 2010, on Linux/ia32, I got

cc1plus: warnings being treated as errors
/net/gnu-6/export/linux/src/binutils/binutils/gold/arm.cc: In member function
\u2018bool<unnamed>::Arm_input_section<big_endian>::do_output_offset(const
gold::Relobj*, unsigned int, gold::section_offset_type,
gold::section_offset_type*) const [with bool big_endian = true]\u2019:
/net/gnu-6/export/linux/src/binutils/binutils/gold/arm.cc:10996:   instantiated
from here
/net/gnu-6/export/linux/src/binutils/binutils/gold/arm.cc:1202: warning:
comparison between signed and unsigned integer expressions
/net/gnu-6/export/linux/src/binutils/binutils/gold/arm.cc: In member function
\u2018bool<unnamed>::Arm_input_section<big_endian>::do_output_offset(const
gold::Relobj*, unsigned int, gold::section_offset_type,
gold::section_offset_type*) const [with bool big_endian = false]\u2019:
/net/gnu-6/export/linux/src/binutils/binutils/gold/arm.cc:10996:   instantiated
from here
/net/gnu-6/export/linux/src/binutils/binutils/gold/arm.cc:1202: warning:
comparison between signed and unsigned integer expressions
make[6]: *** [arm.o] Error 1
Comment 1 cvs-commit@gcc.gnu.org 2010-05-22 01:07:11 UTC
Subject: Bug 11619

CVSROOT:	/cvs/src
Module name:	src
Changes by:	hjl@sourceware.org	2010-05-22 01:06:50

Modified files:
	gold           : ChangeLog arm.cc 

Log message:
	Add a cast to avoid a compilation error.
	
	2010-05-21  Doug Kwan  <dougkwan@google.com>
	
	PR gold/11619
	* arm.cc (Arm_input_section::do_output_offset): Add a cast to
	avoid a compilation error.

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/src/gold/ChangeLog.diff?cvsroot=src&r1=1.560&r2=1.561
http://sourceware.org/cgi-bin/cvsweb.cgi/src/gold/arm.cc.diff?cvsroot=src&r1=1.103&r2=1.104

Comment 2 H.J. Lu 2010-05-22 01:07:47 UTC
Fixed.